.\"	$NetBSD: netdock.4,v 1.4 2003/01/19 21:25:40 atatat Exp $
.\"
.\" Copyright (C) 2000, 2002 Daishi Kato <daishi@axlight.com>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Daishi Kato
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 19, 2002
.Dt NETDOCK 4 mac68k
.Os
.Sh NAME
.Nm netdock
.Nd Ethernet driver for Asante NetDock and Newer Ether MicroDock
.Sh SYNOPSIS
.Cd "netdock* at nubus?"
.Sh DESCRIPTION
The
.Nm
interface provides access to a 10 Mb/s Ethernet network via the
Asante NetDock and Newer Ether MicroDock, for PowerBook Duo series.
.Pp
Each of the host's network addresses is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm
interface employs the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the
local network.
.Sh HARDWARE
The
.Nm
interface is currently known to support the following interfaces
for PowerBook Duo series:
.Bd -filled -offset indent
.Bl -item -compact
.It
Asante NetDock
.It
Newer Ether MicroDock
.El
.Ed
.Sh DIAGNOSTICS
.Bl -diag -compact
.It netdock%d at nubus%d: address %s, type %s  %dKB memory.
This is a normal autoconfiguration message noting the 6 byte physical
Ethernet address of the adapter, its manufacturer, and how much buffer
memory it has.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr inet 4 ,
.Xr netintro 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
interface first appeared in
.Nx 2.0 .
